Bug 110676 - redhat-config-services crashes on opening
redhat-config-services crashes on opening
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-services (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-22 20:30 EST by Zach Shipley
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-29 06:09:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zach Shipley 2003-11-22 20:30:36 EST
Description of problem:
redhat-config-services will immediately close after it is run (from
either the menu or terminal, of course :) )

From the terminal, I receive this error message:

Traceback (most recent call last):
  File "/usr/share/redhat-config-services/serviceconf.py", line 601, in ?
    main()
  File "/usr/share/redhat-config-services/serviceconf.py", line 588,
in main
    Gui()
  File "/usr/share/redhat-config-services/serviceconf.py", line 212,
in __init__    self.populateList()
  File "/usr/share/redhat-config-services/serviceconf.py", line 273,
in populateList
    self.allservices, self.dict_services =
self.ServiceMethods.get_service_list(self.editing_runlevel, idle_func)
  File "/usr/share/redhat-config-services/servicemethods.py", line
225, in get_service_list
    line = f.readline()
IOError: [Errno 21] Is a directory


Version-Release number of selected component (if applicable):
0.8.5-23

How reproducible:
always

Steps to Reproduce:
1. redhat-config-services
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Eric Bourque 2003-12-28 22:46:03 EST
I had a similar problem with it not starting up after I installed FC1
- but the install is on a spare disk which is not in my laptop right
now, so I can't verify whether the error messages are the same, but if
necessary I will switch it back in.
Comment 2 Daniel Walsh 2003-12-29 06:09:56 EST
Try updateing to system-config-services (It is being renamed for fc2)
from rawhide.   Basically there is a directory in /etc/init.d that is
confusing redhat-config-services  The newer version checks for this.

Dan

Note You need to log in before you can comment on or make changes to this bug.